% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/batchjobs_custom.R
\name{batchjobs_custom}
\alias{batchjobs_custom}
\title{BatchJobs conf futures}
\usage{
batchjobs_custom(expr, envir = parent.frame(), substitute = TRUE,
  conf = NULL, pathname = NULL, workers = NULL, resources = list(), ...)
}
\arguments{
\item{expr}{An R expression to be evaluated.}

\item{envir}{The environment from which global environment
are search from.}

\item{substitute}{Controls whether \code{expr} should be
\code{substitute()}:d or not.}

\item{conf}{A BatchJobs configuration environment.}

\item{pathname}{(alternative) Pathname to one or more BatchJobs
configuration files to be loaded in order.  If NULL, then the
\pkg{BatchJobs} package will search for such configuration files.}

\item{workers}{(optional) Additional specification for the backend
workers.  If NULL, the default is used.}

\item{resources}{A named list passed to the BatchJobs template (available as variable `resources`).}

\item{\ldots}{Additional arguments passed to \code{\link{BatchJobsFuture}()}.}
}
\value{
An object of class \code{BatchJobsFuture}.
}
\description{
A conf BatchJobs future sources one or more BatchJobs configuration
files (R source scripts) to define the BatchJobs configuration
environment, e.g. \file{.BatchJobs.R}.
}
\details{
If \code{conf} is NULL (default), then the BatchJobs configuration will
be created from a set of BatchJobs configuration files (R script files)
as given by argument \code{pathname}.  If none are specified (default),
then \pkg{BatchJobs} is designed to use (in order) all of following
configuration files (if they exist):
\itemize{
 \item \code{system("etc", "BatchJobs_global_config.R", package="BatchJobs")}
 \item \code{~/.BatchJobs.R} (in user's home directory)
 \item \code{.BatchJobs.R} (in the current directory)
}
}

